using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

namespace pcd_g1
{
	class NormalBlockStageObject : BlockStageObject
	{
		public NormalBlockStageObject(int x, int y, Bitmap img = null)
			: base(x, y)
		{
			if (img != null)
			{
				image = img;
			}
			else
			{
				image = ImageManager.Search("232");
			}
			Range = new NormalCollideRange(this);
		}

		public override bool EventProc(EventType type, IStageObject sender, CollideDirection direction)
		{
			return base.EventProc(type, sender, direction);
		}
	}
}